Skip to main content

Remove Group Administrator

Only the group owner can remove group administrators.

Enabling the Service​

Before using this feature, you must enable the profile hosting service by submitting a ticket.

Request Method​

POST: https://data center domain/entrust/group/manager/remove.json

Rate limit: 100 requests per second

Signature rules: All server API requests require signature verification. See API Request Signature.

Request Parameters​

The HTTP request body uses application/x-www-form-urlencoded format and supports the following form parameters:

ParameterTypeRequiredDescription
groupIdStringYesGroup ID
userIdsArrayYesUser ID array: Required. User IDs must belong to group members. Maximum 10 members can be processed per request

Request Example​

POST /entrust/group/manager/remove.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

groupId=groupId1&userIds=userId&userIds=userId1

Response​

The HTTP response body contains a JSON object with the following structure:

FieldTypeDescription
codeNumberStatus code. 200 indicates success.

Response Example​

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 200
}